GeoTessCPP: geotess::GeoTessProfileThin Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | List of all members
geotess::GeoTessProfileThin Class Reference

A Profile object consiting of a single radius value and a single Data object. It represents a profile through a layer that has no thickness. More...

`#include <GeoTessProfileThin.h>`

Inheritance diagram for geotess::GeoTessProfileThin:

## Public Member Functions
| GeoTessProfileThin (float rad, GeoTessData *dat)
virtual int | class_size () const
virtual LONG_INT | getMemory ()
virtual const GeoTessProfileType & | getType () const
virtual bool | operator== (const GeoTessProfile &p) const
virtual double | getValue (int attributeIndex, int nodeIndex) const
virtual double | getValue (const GeoTessInterpolatorType &rInterpType, int attributeIndex, double r, bool allowRadiusOutOfRange) const
virtual double | getValueTop (int attributeIndex) const
virtual bool | isNaN (int nodeIndex, int attributeIndex)
virtual float | getRadius (int i) const
virtual int | getNRadii () const
virtual int | getNData () const
virtual float * | getRadii ()
virtual GeoTessData ** | getData ()
virtual GeoTessData * | getData (int i)
virtual const GeoTessData & | getData (int i) const
virtual void | setData (const vector< GeoTessData * > &inData)
virtual void | setRadii (const vector< float > &newRadii)
virtual void | setRadius (int index, float newRadius)
virtual void | setData (int index, GeoTessData *inData)
virtual float | getRadiusTop () const
virtual const GeoTessData & | getDataTop () const
virtual GeoTessData * | getDataTop ()
virtual float | getRadiusBottom () const
virtual const GeoTessData & | getDataBottom () const
virtual GeoTessData * | getDataBottom ()
Public Member Functions inherited from geotess::GeoTessProfile
double | getValue (const vector< int > &nodeIds, const vector< double > &coefficients, int attributeIndex) const
virtual double | getValueBottom (int attributeIndex) const
double | getThickness ()
int | getRadiusIndex (double radius) const
virtual int | getRadiusIndex (double radius, int jlo) const
virtual double | getInterpolationCoefficient (int i, double radius, bool allowOutOfRange) const
virtual int | getPointIndex (int nodeIndex) const
virtual int | findClosestRadiusIndex (double radius) const

## Static Public Member Functions
static string | class_name ()
Static Public Member Functions inherited from geotess::GeoTessProfile
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< GeoTessData * > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< double > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< float > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< LONG_INT > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< int > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< short > > &data)
static GeoTessProfile * | newProfile (const vector< float > &radii, vector< vector< byte > > &data)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, GeoTessData **data, const int &nData)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, double **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, float **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, LONG_INT **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, int **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, short **values, const int &nNodes, const int &nAttributes)
static GeoTessProfile * | newProfile (float *radii, const int &nRadii, byte **values, const int &nNodes, const int &nAttributes)
static string | class_name ()
static int | class_count ()

## Detailed Description

A Profile object consiting of a single radius value and a single Data object. It represents a profile through a layer that has no thickness.

A Profile object that consists of a single radius value and a single Data object. It represents a profile through a layer that has zero thickness.

Definition at line 75 of file GeoTessProfileThin.h.

## Constructor & Destructor Documentation

## ◆ GeoTessProfileThin()

geotess::GeoTessProfileThin::GeoTessProfileThin | ( | float | rad,
|  | GeoTessData * | dat
| ) |  |
| inline

Default constructor.

Definition at line 105 of file GeoTessProfileThin.h.

## Member Function Documentation

## ◆ class_name()

static string geotess::GeoTessProfileThin::class_name | ( |  | ) |
| inlinestatic

Returns the class name.

Definition at line 112 of file GeoTessProfileThin.h.

## ◆ class_size()

virtual int geotess::GeoTessProfileThin::class_size | ( |  | ) | const
| inlinevirtual

Returns the class size.

Reimplemented from geotess::GeoTessProfile.

Definition at line 117 of file GeoTessProfileThin.h.

## ◆ getData() [1/3]

virtual GeoTessData** geotess::GeoTessProfileThin::getData | ( |  | ) |
| inlinevirtual

Retrieve a shallow copy of all of the Data objects associated with thisProfile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 221 of file GeoTessProfileThin.h.

## ◆ getData() [2/3]

virtual GeoTessData* geotess::GeoTessProfileThin::getData | ( | int | i | ) |
| inlinevirtual

Retrieve a reference the i'th Data object

Reimplemented from geotess::GeoTessProfile.

Definition at line 227 of file GeoTessProfileThin.h.

## ◆ getData() [3/3]

virtual const GeoTessData& geotess::GeoTessProfileThin::getData | ( | int | i | ) | const
| inlinevirtual

Retrieve a reference the i'th Data object

Reimplemented from geotess::GeoTessProfile.

Definition at line 232 of file GeoTessProfileThin.h.

## ◆ getDataBottom() [1/2]

virtual GeoTessData* geotess::GeoTessProfileThin::getDataBottom | ( |  | ) |
| inlinevirtual

Get the Data object at the bottom of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 283 of file GeoTessProfileThin.h.

## ◆ getDataBottom() [2/2]

virtual const GeoTessData& geotess::GeoTessProfileThin::getDataBottom | ( |  | ) | const
| inlinevirtual

Get the Data object at the bottom of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 278 of file GeoTessProfileThin.h.

## ◆ getDataTop() [1/2]

virtual GeoTessData* geotess::GeoTessProfileThin::getDataTop | ( |  | ) |
| inlinevirtual

Get the Data object at the top of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 268 of file GeoTessProfileThin.h.

## ◆ getDataTop() [2/2]

virtual const GeoTessData& geotess::GeoTessProfileThin::getDataTop | ( |  | ) | const
| inlinevirtual

Get the Data object at the top of the profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 263 of file GeoTessProfileThin.h.

## ◆ getMemory()

virtual LONG_INT geotess::GeoTessProfileThin::getMemory | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessProfile.

Definition at line 120 of file GeoTessProfileThin.h.

## ◆ getNData()

virtual int geotess::GeoTessProfileThin::getNData | ( |  | ) | const
| inlinevirtual

Get the number of Data objects that comprise this profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 210 of file GeoTessProfileThin.h.

## ◆ getNRadii()

virtual int geotess::GeoTessProfileThin::getNRadii | ( |  | ) | const
| inlinevirtual

Get the number of radii that comprise this profile.

Reimplemented from geotess::GeoTessProfile.

Definition at line 205 of file GeoTessProfileThin.h.

## ◆ getRadii()

virtual float* geotess::GeoTessProfileThin::getRadii | ( |  | ) |
| inlinevirtual

Retrieve a deeep copy of the radii values in km.

Reimplemented from geotess::GeoTessProfile.

Definition at line 215 of file GeoTessProfileThin.h.

## ◆ getRadius()

virtual float geotess::GeoTessProfileThin::getRadius | ( | int | i | ) | const
| inlinevirtual

Get the i'th radius value in this profile in km. Radii are in order of increasing radius.

Reimplemented from geotess::GeoTessProfile.

Definition at line 200 of file GeoTessProfileThin.h.

## ◆ getRadiusBottom()

virtual float geotess::GeoTessProfileThin::getRadiusBottom | ( |  | ) | const
| inlinevirtual

Get the radius at the bottom of the profile, in km.

Reimplemented from geotess::GeoTessProfile.

Definition at line 273 of file GeoTessProfileThin.h.

## ◆ getRadiusTop()

virtual float geotess::GeoTessProfileThin::getRadiusTop | ( |  | ) | const
| inlinevirtual

Get the radius at the top of the profile, in km.

Reimplemented from geotess::GeoTessProfile.

Definition at line 258 of file GeoTessProfileThin.h.

## ◆ getType()

virtual const GeoTessProfileType& geotess::GeoTessProfileThin::getType | ( |  | ) | const
| inlinevirtual

Returns ProfileType (THIN).

Returns
  ProfileType (THIN).

Reimplemented from geotess::GeoTessProfile.

Definition at line 127 of file GeoTessProfileThin.h.

## ◆ getValue() [1/2]

virtual double geotess::GeoTessProfileThin::getValue | ( | const GeoTessInterpolatorType & | rInterpType,
|  | int | attributeIndex,
|  | double | r,
|  | bool | allowRadiusOutOfRange
| ) |  | const
| inlinevirtual

Retrieve the value of the specified attribute interpolated at the specified radius.

Parameters

  rInterpType | either Int
  attributeIndex |
  r | radius in km
  allowRadiusOutOfRange |

Returns
  interpolated attribute value

Reimplemented from geotess::GeoTessProfile.

Definition at line 156 of file GeoTessProfileThin.h.

## ◆ getValue() [2/2]

virtual double geotess::GeoTessProfileThin::getValue | ( | int | attributeIndex,
|  | int | nodeIndex
| ) |  | const
| inlinevirtual

Retrieve the value of the specified attribute from this profile at the specified node index

Parameters

  attributeIndex |
  nodeIndex |

Returns
  double

Reimplemented from geotess::GeoTessProfile.

Definition at line 144 of file GeoTessProfileThin.h.

## ◆ getValueTop()

virtual double geotess::GeoTessProfileThin::getValueTop | ( | int | attributeIndex | ) | const
| inlinevirtual

Retrieve the value of the specified attribute at the top of the layer.

Parameters

  attributeIndex |

Returns
  double

Reimplemented from geotess::GeoTessProfile.

Definition at line 178 of file GeoTessProfileThin.h.

## ◆ isNaN()

virtual bool geotess::GeoTessProfileThin::isNaN | ( | int | nodeIndex,
|  | int | attributeIndex
| ) |  |
| inlinevirtual

Return true if the specified Data value is NaN. For doubles and floats, this means not NaN. For bytes, shorts, ints and longs, always returns false since there is no value that is NaN.

Parameters

  nodeIndex |
  attributeIndex |

Returns
  true if the specified Data value is NaN.

Reimplemented from geotess::GeoTessProfile.

Definition at line 191 of file GeoTessProfileThin.h.

## ◆ operator==()

virtual bool geotess::GeoTessProfileThin::operator== | ( | const GeoTessProfile & | p | ) | const
| inlinevirtual

Return true if the input Profile object (p) equals this Profile object.

Reimplemented from geotess::GeoTessProfile.

Definition at line 133 of file GeoTessProfileThin.h.

## ◆ setData() [1/2]

virtual void geotess::GeoTessProfileThin::setData | ( | const vector< GeoTessData * > & | inData | ) |
| inlinevirtual

Resets the data object to the new input data

Reimplemented from geotess::GeoTessProfile.

Definition at line 237 of file GeoTessProfileThin.h.

## ◆ setData() [2/2]

virtual void geotess::GeoTessProfileThin::setData | ( | int | index,
|  | GeoTessData * | inData
| ) |  |
| inlinevirtual

Resets the data object at index to the new input data.

Reimplemented from geotess::GeoTessProfile.

Definition at line 252 of file GeoTessProfileThin.h.

## ◆ setRadii()

virtual void geotess::GeoTessProfileThin::setRadii | ( | const vector< float > & | newRadii | ) |
| inlinevirtual

Replace the radii currently associated with this Profile with new values.

Reimplemented from geotess::GeoTessProfile.

Definition at line 243 of file GeoTessProfileThin.h.

## ◆ setRadius()

virtual void geotess::GeoTessProfileThin::setRadius | ( | int | index,
|  | float | radius
| ) |  |
| inlinevirtual

Replace the radius at the specified nodeIndex.

Reimplemented from geotess::GeoTessProfile.

Definition at line 246 of file GeoTessProfileThin.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessProfileThin.h